Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Interface DatagramServiceConfig

All Superinterfaces:
  Cloneable, IoServiceConfig

All Known Implementing Classes:
  DatagramAcceptorConfig, DatagramConnectorConfig

    public interface DatagramServiceConfig

extends IoServiceConfig

An `IoServiceConfig` for `DatagramAcceptor` and `DatagramConnector`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`DatagramSessionConfig` | `getSessionConfig()` Resturns the default configuration of the new `IoSession`s.
`IoSessionRecycler` | `getSessionRecycler()` Returns the `IoSessionRecycler` for this service.
`void` | `setSessionRecycler(IoSessionRecycler sessionRecycler)` Sets the `IoSessionRecycler` for this service.

Methods inherited from interface org.apache.mina.common.IoServiceConfig
`clone, getFilterChain, getFilterChainBuilder, getThreadModel, setFilterChainBuilder, setThreadModel`

Method Detail

### getSessionConfig

    DatagramSessionConfig getSessionConfig()

  Description copied from interface: `IoServiceConfig`
  Resturns the default configuration of the new `IoSession`s.

  Specified by:
    `getSessionConfig` in interface `IoServiceConfig`

### getSessionRecycler

    IoSessionRecycler getSessionRecycler()

  Returns the `IoSessionRecycler` for this service.

### setSessionRecycler

    void setSessionRecycler(IoSessionRecycler sessionRecycler)

  Sets the `IoSessionRecycler` for this service.

  Parameters:
    `sessionRecycler` - `null` to use the default recycler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.